AjaxLoadBundle (RichFaces JSF components library 3.1.2.GA API)
Keywords: org.ajax4jsf.component.html.AjaxLoadBundle class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ajax4jsf.component.html
Class AjaxLoadBundle

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              org.ajax4jsf.component.UILoadBundle
                  org.ajax4jsf.component.html.AjaxLoadBundle

All Implemented Interfaces:
  javax.faces.component.StateHolder, org.ajax4jsf.component.AjaxLoadBundleComponent

    public class AjaxLoadBundle

extends UILoadBundle

Component-Type org.ajax4jsf.Bundle Component-Family org.ajax4jsf.Bundle Load a resource bundle localized for the Locale of the current view, and expose it (as a Map) in the request attributes of the current request. In difference of original f:loadBundle tag, stored in components tree and activate on ajax/non ajax responses

Field Summary
`static java.lang.String` | `COMPONENT_FAMILY`
`static java.lang.String` | `COMPONENT_TYPE`

Constructor Summary
`AjaxLoadBundle()` Constructor to init default renderers

Method Summary
`java.lang.String` | `getBasename()` Base name of the resource bundle to be loaded.
`java.lang.String` | `getFamily()`
`java.lang.String` | `getVar()` Name of a request scope attribute under which the resource bundle will be exposed as a Map.
`void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
`java.lang.Object` | `saveState(javax.faces.context.FacesContext context)`
`void` | `setBasename(java.lang.String __basename)` Base name of the resource bundle to be loaded.
`void` | `setVar(java.lang.String __var)` Name of a request scope attribute under which the resource bundle will be exposed as a Map.

Methods inherited from class org.ajax4jsf.component.UILoadBundle
`decode, encodeBegin, getRendererType, loadBundle`

Methods inherited from class javax.faces.component.UIComponentBase
`addFacesListener, broadcast, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendersChildren, getValueBinding, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final java.lang.String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### AjaxLoadBundle

    public AjaxLoadBundle()

  Constructor to init default renderers

Method Detail

### setVar

    public void setVar(java.lang.String __var)

  Name of a request scope attribute under which the resource bundle will be exposed as a Map. Setter for var

  Specified by:
    `setVar` in class `UILoadBundle`
  Parameters:
    `var` - - new value

### getVar

    public java.lang.String getVar()

  Name of a request scope attribute under which the resource bundle will be exposed as a Map. Getter for var

  Specified by:
    `getVar` in class `UILoadBundle`
  Returns:
    var value from local variable or value bindings

### setBasename

    public void setBasename(java.lang.String __basename)

  Base name of the resource bundle to be loaded. Setter for basename

  Specified by:
    `setBasename` in class `UILoadBundle`
  Parameters:
    `basename` - - new value

### getBasename

    public java.lang.String getBasename()

  Base name of the resource bundle to be loaded. Getter for basename

  Specified by:
    `getBasename` in class `UILoadBundle`
  Returns:
    basename value from local variable or value bindings

### getFamily

    public java.lang.String getFamily()

  Overrides:
    `getFamily` in class `UILoadBundle`

### saveState

    public java.lang.Object saveState(javax.faces.context.FacesContext context)

  Specified by:
    `saveState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `saveState` in class `javax.faces.component.UIComponentBase`

### restoreState

    public void restoreState(javax.faces.context.FacesContext context,
                             java.lang.Object state)

  Specified by:
    `restoreState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `restoreState` in class `javax.faces.component.UIComponentBase`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.